calibrate_joystick(3)

NAME
calibrate_joystick - Calibrates the specified joystick. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int calibrate_joystick(int n);

DESCRIPTION
Most joysticks need to be calibrated before they can provide full analogue input. This function performs the next operation in the calibration series for the specified stick, assuming that the joystick has been positioned in the manner described by a previous call to calibrate_joystick_name(), returning zero on success. For example, a simple routine to fully calibrate all the joysticks might look like:
   int i;

   for (i=0; i<;num_joysticks; i++) {
      while (joy[i].flags & JOYFLAG_CALIBRATE) {
         char *msg = calibrate_joystick_name(i);
         textprintf_ex(..., "%s, and press a key\n", msg);
         readkey();
         if (calibrate_joystick(i) != 0) {
            textprintf_ex(..., "oops!\n");
            readkey();
            exit(1);
         }
      }
   }

RETURN VALUE
Returns zero on success, non-zero if the calibration could not be performed successfully.

SEE ALSO
install_joystick(3), calibrate_joystick_name(3), joy(3), num_joysticks(3), exjoy(3)